Stylistic changes to weather (#106)

This commit is contained in:
Reto Kromer 2017-07-27 14:12:49 +02:00 committed by Alex Epstein
parent 17dedf4033
commit ebd55ddf3c
1 changed files with 56 additions and 65 deletions

View File

@ -19,7 +19,6 @@ getConfiguredClient()
echo "Error: This tool reqires either curl, wget, or fetch to be installed." echo "Error: This tool reqires either curl, wget, or fetch to be installed."
return 1 return 1
fi fi
} }
## Allows to call the users configured client without if statements everywhere ## Allows to call the users configured client without if statements everywhere
@ -32,7 +31,6 @@ httpGet()
esac esac
} }
getIPWeather() getIPWeather()
{ {
country=$(httpGet ipinfo.io/country) > /dev/null ## grab the country country=$(httpGet ipinfo.io/country) > /dev/null ## grab the country
@ -79,7 +77,7 @@ update()
echo "Version $latestVersion available" echo "Version $latestVersion available"
echo -n "Do you wish to update $repositoryName [Y/n]: " echo -n "Do you wish to update $repositoryName [Y/n]: "
read -r answer read -r answer
if [[ "$answer" == "Y" || "$answer" == "y" ]] ;then if [[ "$answer" == [Yy] ]]; then
cd ~ || { echo 'Update Failed'; exit 1; } cd ~ || { echo 'Update Failed'; exit 1; }
if [[ -d ~/$repositoryName ]]; then rm -r -f $repositoryName || { echo "Permissions Error: try running the update as sudo"; exit 1; } ; fi if [[ -d ~/$repositoryName ]]; then rm -r -f $repositoryName || { echo "Permissions Error: try running the update as sudo"; exit 1; } ; fi
git clone "https://github.com/$githubUserName/$repositoryName" || { echo "Couldn't download latest version"; exit 1; } git clone "https://github.com/$githubUserName/$repositoryName" || { echo "Couldn't download latest version"; exit 1; }
@ -96,54 +94,47 @@ update()
echo "$repositoryName is already the latest version" echo "$repositoryName is already the latest version"
fi fi
fi fi
} }
usage() usage()
{ {
echo "Weather" cat <<EOF
echo "Description: Provides a 3 day forecast on your current location or a specified location." Weather
echo " With no flags Weather will default to your current location." Description: Provides a 3 day forecast on your current location or a specified location.
echo "Usage: weather or weather [flag] or weather [country] or weather [city] [state]" With no flags Weather will default to your current location.
echo " weather [i] get weather in imperial units" Usage: weather or weather [flag] or weather [country] or weather [city] [state]
echo " weather [m] get weather in metric units" weather [i] get weather in imperial units
echo " weather [Moon] grabs the phase of the moon" weather [m] get weather in metric units
echo " -u Update Bash-Snippet Tools" weather [Moon] grabs the phase of the moon
echo " -h Show the help" -u Update Bash-Snippet Tools
echo " -v Get the tool version" -h Show the help
echo "Examples:" -v Get the tool version
echo " weather" Examples:
echo " weather Tokyo" weather
echo " weather Moon" weather Tokyo
echo " weather m" weather Moon
weather m
EOF
} }
getConfiguredClient || exit 1 getConfiguredClient || exit 1
checkInternet || exit 1 # check if we have a valid internet connection if this isnt true the rest of the script will not work so stop here checkInternet || exit 1 # check if we have a valid internet connection if this isnt true the rest of the script will not work so stop here
while getopts "uvh" opt; do while getopts "uvh" opt; do
case $opt in case "$opt" in
\?) \?) echo "Invalid option: -$OPTARG" >&2
echo "Invalid option: -$OPTARG" >&2
exit 1 exit 1
;; ;;
h) h) usage
usage
exit 0 exit 0
;; ;;
v) v) echo "Version $currentVersion"
echo "Version $currentVersion"
exit 0 exit 0
;; ;;
u) u) update
update
exit 0 exit 0
;; ;;
:) :) echo "Option -$OPTARG requires an argument." >&2
echo "Option -$OPTARG requires an argument." >&2
exit 1 exit 1
;; ;;
esac esac